Bug 84425 - PIVOTTABLE: Dynamic Table column field filter drop down menu not activated
Summary: PIVOTTABLE: Dynamic Table column field filter drop down menu not activated
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0 all versions
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: bibisected, bisected, regression
: 97759 (view as bug list)
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2014-09-28 14:54 UTC by Robert Gonzalez MX
Modified: 2019-09-24 03:09 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
First testing file (209.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-09-28 15:00 UTC, Robert Gonzalez MX
Details
Second testing file (244.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-09-28 15:00 UTC, Robert Gonzalez MX
Details
Third testing file (356.40 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-09-28 15:02 UTC, Robert Gonzalez MX
Details
Test4 (100.81 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-03-01 00:07 UTC, Robert Gonzalez MX
Details
Screenshoot (140.43 KB, application/vnd.oasis.opendocument.text)
2015-06-20 05:12 UTC, Robert Gonzalez MX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Gonzalez MX 2014-09-28 14:54:41 UTC
Problem description: 

When creating a pivot table, the column field heading filter drop down doesn't activate or display, you have to try to change layout of the columns to rows to appear. It happens using a selected data range or a named range. 

Tested it in Win XP, Win 8.1, with actual and new user profile of LO 4.3.1.2 and 4.3.2.2
I've noticed after updating LO 4.3.1.2 to 4.3.2.2 in Win XP and trying a new pivot table for my work, so I tested it in another desktop with 4.3.1.2 with the same results.

Steps to reproduce:
1. Create a dynamic table from selected range or named range

2. When the pivot table appears in a new sheet, the column heading has a title “data”, and I doesn't have the drop down menu, it should have the field title, and the square icon of the drop down menu of the filter and sorting. (first left screenshot of testing files)

3. To make the drop down menu appear again, click on the column heading “data” and drag it to the row fields, as if you try to change the layout, releasing it, it wont change the layout, but will refresh the column heading with the correct name and the drop down menu icon. (second right screenshot of testing files)

4. After that, you con change the layout as is expected, and the filter option for column works fine.

I have made 3 test files, the first is tested in Win XP and LO 4.3.1.2, with the original sheet of the file with changes to the data for testing, the second es tested in Win 8.1 and LO 4.3.2.2, but created a new file and pasted the data, the third file was tested in Win 8.1 and LO 4.3.2.2 with a new user profile with the same results; added some screenshots before and after 


Current behavior:
No drop down filter options icon for column heading

Expected behavior:
The drop down filter options icon should appear

              
Operating System: Windows 8
Version: 4.3.1.2 release
Last worked in: 4.3.0.4 release
Comment 1 Robert Gonzalez MX 2014-09-28 15:00:23 UTC
Created attachment 107009 [details]
First testing file
Comment 2 Robert Gonzalez MX 2014-09-28 15:00:59 UTC
Created attachment 107010 [details]
Second testing file
Comment 3 Robert Gonzalez MX 2014-09-28 15:02:36 UTC
Created attachment 107011 [details]
Third testing file

Testing files with data, pivot tables and screenshots of the problem
Comment 4 Buovjaga 2014-11-14 12:55:43 UTC
From the test files, the only place where I see "Data" is Sheet 8 of Bug test3 Dinamic Table column field.ods. I can't change this "Data" to "field2" by dragging it to the row below.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 5 Jacques Guilleron 2014-11-16 14:07:41 UTC
Hi Robert, Beluga,

I reproduce with:
LO 4.3.2.1 Build ID: f9b3ad49d92181b0a1fe7e76f785a2c2cd0847d3
but not with:
LO 4.2.7.0.0+ Build ID: 92216be6ce13990b8ea6b6264c656d2bc1746401
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-07-14_16:21:42
under Windows 7 Home Premium.

Data as field in Pivot table appeared with LO 4.3.0.0.beta1 and this issue too. So this may be related.
Anyway, it seems to be enough to click into field heading to make drop down filter appear.

Set Status to NEW.

Jacques
Comment 6 Pedro 2015-01-23 15:12:00 UTC
Tagged as Regression. This function works perfectly in the 3.6 branch.

It is a severe regression limiting Pivot Table usability.

The "Data" field should not be in the Column Fields.
Comment 7 Robert Gonzalez MX 2015-03-01 00:05:57 UTC
Making new test found the following:

After creation of the pivot table, the field “data” is present, but no filter dropdown filter.
Reviewing layout found that is the first in the column fields list
moving the “data” field down corrects the problem, but is not saved.

Also opening an existing spreadsheet with a pivot table with the fields data and else, in correct position 
doesn't apply the filter

It seems that a “refresh pivot table” is necessary to correct this problem.
But not always the user will want to update the pivot table on opening.
Excel has an option to update is “dynamic table” on opening or not.
Comment 8 Robert Gonzalez MX 2015-03-01 00:07:58 UTC
Created attachment 113786 [details]
Test4
Comment 9 Robert Gonzalez MX 2015-05-24 00:38:52 UTC
Reproducible with Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: es-MX (es_MX)

Same behavior. When the file opens, the pivot table is not refreshed, and the fields selectors doesn't display the dropdown arrows.

A click in one of the fields, refreshes the whole table.
Comment 10 Robert Gonzalez MX 2015-06-20 05:11:54 UTC
Hello.
Tested on windows 8 and Windows XP SP3 with Version: 5.0.0.0.beta3
Build ID: 96345c15d8ab19c49014f055fe41ba8e1f421e5c
Locale: es-MX (es_MX)


Same behavior. When the file opens, the pivot table is not refreshed, and the fields selectors doesn't display the dropdown arrows.

A click in one of the fields, refreshes the whole table.
Comment 11 Robert Gonzalez MX 2015-06-20 05:12:54 UTC
Created attachment 116668 [details]
Screenshoot
Comment 12 Robinson Tryon (qubit) 2015-12-09 18:28:56 UTC Comment hidden (obsolete)
Comment 13 Milan Bouchet-Valat 2016-02-12 10:52:13 UTC
*** Bug 97759 has been marked as a duplicate of this bug. ***
Comment 14 Milan Bouchet-Valat 2016-02-12 10:59:48 UTC
I can confirm this is still present in 5.1. I have another very simple test file at Bug 97759.

I've bibisected this, here's the git bisect log (with bibisect43only):
# bad: [a92705c1fabafddd43d175a0714855cd22551232] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [6ab7f53af36f13bbefdd4e4fcbd3d1ea432a77d9] source-hash-22029c7e17b4cb48acb058d47ec9c3b6b8b6b294
git bisect start 'latest' 'oldest'
# good: [bebf9d31c8fe9de96798484288a0fffc4d54917d] source-hash-09e5de8278dd8f13adcf614db35c8a8a04ba8e47
git bisect good bebf9d31c8fe9de96798484288a0fffc4d54917d
# bad: [fac643700ecfabc737836bbed068776f34037d53] source-hash-40a61d93ade494fa98c23a9fd8776c8dadf8f30f
git bisect bad fac643700ecfabc737836bbed068776f34037d53
# good: [d97d068402198fd528087c954ff8bf7fc2380a77] source-hash-3d1b1eea83703919c43620f9adef05e5b24c4bed
git bisect good d97d068402198fd528087c954ff8bf7fc2380a77
# good: [4bf5bbc5af411318f6507cbd13c220069da40347] source-hash-e9509e54b45fc429a93975917dca2ec343e5f48d
git bisect good 4bf5bbc5af411318f6507cbd13c220069da40347
# bad: [c3ba84995b61206749be6ce559d2155fbd13bb3c] source-hash-49a96a4d38ed144f6d05a0d2d8a83c2cee52b304
git bisect bad c3ba84995b61206749be6ce559d2155fbd13bb3c
# bad: [ff6ae148046c9722df3b48958a1222d9ea2ca69c] source-hash-7c4783f6a2cb7598ecc48f20379dad9784541d5b
git bisect bad ff6ae148046c9722df3b48958a1222d9ea2ca69c
# bad: [dadae0637bb115bea06819114fb44b7a07427454] source-hash-b850adf13ec8fad5f1e49c06fbb1d81a546b4636
git bisect bad dadae0637bb115bea06819114fb44b7a07427454
# good: [7dfffc61e9904d707278e707fe634f9c4b3e0174] source-hash-1ad901464afa29c96682bde59a12f864fccd525a
git bisect good 7dfffc61e9904d707278e707fe634f9c4b3e0174
# first bad commit: [dadae0637bb115bea06819114fb44b7a07427454] source-hash-b850adf13ec8fad5f1e49c06fbb1d81a546b4636
Comment 15 Milan Bouchet-Valat 2016-02-12 11:07:01 UTC
There are two pivot table related commits by Tomaž Vajngerl in the bibisected range:
pivot layout dialog: remove SAL_OVERRIDE from destructors
https://cgit.freedesktop.org/libreoffice/core/commit/?id=e211e4ed41289fe680ac3d733175ef40a1e290b8

pivot: new pivot table layout dialog
https://cgit.freedesktop.org/libreoffice/core/commit/?id=4f1f8b8e993b98095bf50c9e432fb0400d318b1f

Tomaž, could you have a look at this? Thanks!
Comment 16 Xisco Faulí 2016-09-26 15:09:39 UTC
Adding Cc: to Tomaž Vajngerl
Comment 17 QA Administrators 2018-09-20 02:51:01 UTC Comment hidden (obsolete)
Comment 18 Robert Gonzalez MX 2018-09-23 18:46:50 UTC
Hi.
I reviewed this issue and found that it’s still present in 
Version: 6.1.1.2 (x64)
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: es-MX (es_MX); Calc: CL

When creating a new Pivot Table from the original data with the named range, the PivotTable is created and still has the “data” button field, that causes that the correct field button and the drop down list don’t display.

If the Pivot Table has only one column field, the “data” field is displayed instead, if is the first in the list of fields like this:

data, field1

As a workaround when designing the Pivot Table the “data” field it has to be moved to the last position in the list of fields before or after the creation of the Pivot Table like this:

feld1, data

This also happens if the “data” field is moved to the row fields.

This “data” field should be hidden or not displayed because it has no purpose to be there nor is used in any way by the user.
Comment 19 QA Administrators 2019-09-24 03:09:51 UTC
Dear Robert Gonzalez MX,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug